Matrix #row_size, #column_size methods
11/16/2012 04:08 PM - Anonymous

Status: Closed
Priority: Normal
Assignee: marcandre (Marc-Andre Lafortune)

Target version:

ruby -v: 1.9.x Backport:

Description

| believe these methods should be renamed. "row_size" is confusing, because it can be intuitively understood as both "number of
rows", and "size along a row" (or size of a matrix row). Same goes for "column size". | would like these methods renamed to
unambigous, mnemonic names, such as

#number_of_rows alias #height
#number_of columns alias #width

| do not insist on the above names. They are just examples of unambigous, mnemonic names. But | insist that "row_size" and
"column_size" method names impress me as ambiguous.

Associated revisions

Revision 8aac5f48fc96c4aa76d4758d8c873f3e2cb6de90 - 12/10/2012 04:53 PM - Marc-Andre Lafortune

¢ lib/matrix: alias {row|column}_size to {row|column}_count and use the latter.
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38300 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
History

#1 - 11/17/2012 01:47 AM - marcandre (Marc-Andre Lafortune)

- Category set to lib

- Assignee set to marcandre (Marc-Andre Lafortune)

| agree that {row|column}_size can be ambiguous.

| don't believe height/width is used in this context though, at least in mathematics.
Possibilities | can think of: column_count or nb_columns.

Opinions?

#2 - 11/17/2012 01:55 AM - Eregon (Benoit Daloze)

m and n?
They are awfully short and might be confusing but they also are the names used in standard notation (an m-by-n matrix).

#3 - 11/18/2012 01:22 PM - Anonymous

@Eregon (Benoit Daloze): #m and #n? Maybe as aliases, but | think that one-character methods should be generally left to daring users. Perhaps
#m_size and #n_size.

@Marc-Andre: This is what they call conundrum. #number_of_rows is clear, but almost as long as #each_with_object. #row_count is shorter, but less

mnemonic. #nb_rows and such is even less mnemonic. #height / #width is unambiguous, but slightly boorish with respect to mathematicians. Some

recommend that methods should be named only with full-length (unabbreviated) English words, but on the other hand, when writing core or stdlib, one

is allowed to trade brevity for mnemonism, as seen eg. in "attr_reader". For that case, #no_of _rows / #no_of_columns can be considered. Additional
possibility is having a method named eg. #dimensions returning [m, n] for m x n matrix.

#4 - 12/11/2012 01:54 AM - marcandre (Marc-Andre Lafortune)
- Status changed from Open to Closed
- % Done changed from 0 to 100

This issue was solved with changeset r38300.
Boris, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e lib/matrix: alias {row|column}_size to {row|column}_count and use the latter.
[Bug #7369] [ruby-core:49409]

06/11/2025

22


https://bugs.ruby-lang.org/issues/7369
bugs.ruby-lang.org/issues/7369
http://www.tcpdf.org

